Donations
View all donations
POST
/
admin
/
donations
/
{all}
View all donations
curl --request POST \
--url https://api.helpyousponsor.com/v1/admin/donations/{all} \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"client_id": "1",
"date_from": "2022-01-01",
"date_to": "2022-12-31",
"pageSize": 10,
"pageIndex": 1
}
'import requests
url = "https://api.helpyousponsor.com/v1/admin/donations/{all}"
payload = {
"client_id": "1",
"date_from": "2022-01-01",
"date_to": "2022-12-31",
"pageSize": 10,
"pageIndex": 1
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '1',
date_from: '2022-01-01',
date_to: '2022-12-31',
pageSize: 10,
pageIndex: 1
})
};
fetch('https://api.helpyousponsor.com/v1/admin/donations/{all}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"donations": [
{}
],
"organization": "Organization Name",
"number_of_allDonations": 100,
"number_of_donations": 10,
"total_of_donations": "1000",
"donation_graph_data": [
{}
],
"fields": [
{}
],
"date_from": "2022-01-01",
"date_to": "2022-12-31",
"all": false,
"hysform": {}
}{
"message": "The given data was invalid",
"errors": {}
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
Flag to get all donations
Body
application/json
Data needed to view all donations
Response
Successful operation
Example:
"Organization Name"
Example:
100
Example:
10
Example:
"1000"
Example:
"2022-01-01"
Example:
"2022-12-31"
Example:
false
⌘I
View all donations

